# Interface JDBCAuthenticator

All Known Implementing Classes:
  `SwingAuthenticator, TerminalAuthenticator, TextModelsAuthenticator`

public interface JDBCAuthenticator
Specifies authentication to make a JDBC connection. The `authenticate` method can be called to retrieve the username and password to be used.

## Method Summary

Modifier and Type
Method
Description
`String[]`
`authenticate()`
Obtains username and password.

## Method Details

### authenticate

String[] authenticate() throws IOException
Obtains username and password. The return value is a two-element array containing the username and password to be used, in that order. Either or both of these may be `null`.

Returns:
  `String[]{username,password}`
Throws:
  `IOException` - if there is some error